package com.unissoft.intrusion;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author qingsong.han
 * @description: 第三方平台获取异常闯入数据
 * @create 2022-11-14 17:30
 */
@Slf4j
@RestController
public class GetIntrusionController {

    @Resource
    private GetIntrusionService getIntrusionService;

    // 底代码业务平台获取海康摄像头异常信息接口
    @GetMapping("/pullIntrusion")
    public Object pullIntrusion() {
        Object val = getIntrusionService.pullIntrusion();
        return val;
    }

}
